Qt 5.7 | Qt Data Visualization | QML Types | AbstractDataProxy QML Type

Qt 5.7.1 Reference Documentation

# AbstractDataProxy QML Type

Base type for all QtDataVisualization data proxies. More...

Import Statement: | import QtDataVisualization 1.2
Since: | QtDataVisualization 1.0
Instantiates: | QAbstractDataProxy
Inherited By: | BarDataProxy, ScatterDataProxy, and SurfaceDataProxy

- List of all members, including inherited members

## Properties

- type : AbstractDataProxy.DataType

## Detailed Description

This type is uncreatable, but contains properties that are exposed via subtypes.

For AbstractDataProxy enums, see QAbstractDataProxy::DataType.

See also BarDataProxy, ScatterDataProxy, SurfaceDataProxy, and Qt Data Visualization Data Handling.

## Property Documentation

type : AbstractDataProxy.DataType

The type of the proxy.